| Home | Libraries | People | FAQ | More

##### posix::basic_stream_descriptor::basic_stream_descriptor (3 of 3 overloads)

Move-construct a `posix::basic_stream_descriptor` from another.

    basic_stream_descriptor(
        basic_stream_descriptor && other);

This constructor moves a stream descriptor from one object to another.

###### Parameters

other

  The other `posix::basic_stream_descriptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_stream_descriptor(io_service&) constructor`.